Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Interface ListSelectionModel

All Known Implementing Classes:
  DefaultListSelectionModel

public interface ListSelectionModel

Field Summary
`static int` | `MULTIPLE_INTERVAL_SELECTION`
`static int` | `SINGLE_INTERVAL_SELECTION`
`static int` | `SINGLE_SELECTION`

Method Summary
`void` | `addListSelectionListener(ListSelectionListener l)` Add a listener to the list that is notified each time the selection changes.
`void` | `addSelectionInterval(int index0, int index1)` Change the selection to be the set union between the current selection and the indices between index0 and index1 inclusive.
`void` | `clearSelection()` Change the selection to be the empty set.
`int` | `getMaxSelectionIndex()` Returns the last selected index, or -1 if the selection is empty.
`int` | `getMinSelectionIndex()` Returns the first selected index, or -1 if the selection is empty.
`int` | `getSelectionMode()` Returns the current selection mode.
`void` | `insertIndexInterval(int index, int length, boolean before)` Insert length indices beginning before/after index, without notifying the ListSelectionListeners.
`boolean` | `isSelectedIndex(int index)` Returns true if the specified index is selected.
`boolean` | `isSelectionEmpty()` Returns true if no indices are selected.
`void` | `removeIndexInterval(int index0, int index1)` Remove the indices in the interval index0,index1 (inclusive) from the selection model, without notifying the ListSelectionListeners.
`void` | `removeListSelectionListener(ListSelectionListener l)` Remove the specified listener from the list of listeners.
`void` | `removeSelectionInterval(int index0, int index1)` Change the selection to be the set difference between the current selection and the indices between index0 and index1 inclusive.
`void` | `setSelectionInterval(int index0, int index1)` Change the selection to be between index0 and index1 inclusive.
`void` | `setSelectionMode(int mode_)` Set the selection mode.

Field Detail

### SINGLE_SELECTION

    public static final int SINGLE_SELECTION

See Also:
  Constant Field Values

### SINGLE_INTERVAL_SELECTION

    public static final int SINGLE_INTERVAL_SELECTION

See Also:
  Constant Field Values

### MULTIPLE_INTERVAL_SELECTION

    public static final int MULTIPLE_INTERVAL_SELECTION

See Also:
  Constant Field Values

Method Detail

### addListSelectionListener

    public void addListSelectionListener(ListSelectionListener l)

  Add a listener to the list that is notified each time the selection changes.

### removeListSelectionListener

    public void removeListSelectionListener(ListSelectionListener l)

  Remove the specified listener from the list of listeners.

### clearSelection

    public void clearSelection()

  Change the selection to be the empty set. If this represents a change to the selection then notify each ListSelectionListener.

### addSelectionInterval

    public void addSelectionInterval(int index0,
                                     int index1)

  Change the selection to be the set union between the current selection and the indices between index0 and index1 inclusive. If this represents a change to the current selection, then notify each ListSelectionListener. Note that index0 does not have to be less than or equal to index1.

### removeSelectionInterval

    public void removeSelectionInterval(int index0,
                                        int index1)

  Change the selection to be the set difference between the current selection and the indices between index0 and index1 inclusive. If this represents a change to the current selection, then notify each ListSelectionListener. Note that index0 does not have to be less than or equal to index1.

### setSelectionInterval

    public void setSelectionInterval(int index0,
                                     int index1)

  Change the selection to be between index0 and index1 inclusive. If this represents a change to the selection, then notify each ListSelectionListener. Note that index0 doesn't have to be less than or equal to index1.

### setSelectionMode

    public void setSelectionMode(int mode_)

  Set the selection mode. The following modes are allowed:
  - SINGLE_SELECTION. Only one list index can be selected at a time.
  - SINGLE_INTERVAL_SELECTION. One contiguous index interval can be set at at time.

### getSelectionMode

    public int getSelectionMode()

  Returns the current selection mode.

### isSelectedIndex

    public boolean isSelectedIndex(int index)

  Returns true if the specified index is selected.

### isSelectionEmpty

    public boolean isSelectionEmpty()

  Returns true if no indices are selected.

### getMinSelectionIndex

    public int getMinSelectionIndex()

  Returns the first selected index, or -1 if the selection is empty.

### getMaxSelectionIndex

    public int getMaxSelectionIndex()

  Returns the last selected index, or -1 if the selection is empty.

### insertIndexInterval

    public void insertIndexInterval(int index,
                                    int length,
                                    boolean before)

  Insert length indices beginning before/after index, without notifying the ListSelectionListeners. This is typically called to sync the selection model with a corresponding change in the data model.

### removeIndexInterval

    public void removeIndexInterval(int index0,
                                    int index1)

  Remove the indices in the interval index0,index1 (inclusive) from the selection model, without notifying the ListSelectionListeners. This is typically called to sync the selection model width a corresponding change in the data model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD